"use strict";
/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const qwik = require("@builder.io/qwik");
const context = require("./context.qwik.cjs");
const useSpeakContext = () => qwik.useContext(context.SpeakContext);
const useSpeakLocale = () => qwik.useContext(context.SpeakContext).locale;
const useSpeakConfig = () => qwik.useContext(context.SpeakContext).config;
exports.useSpeakConfig = useSpeakConfig;
exports.useSpeakContext = useSpeakContext;
exports.useSpeakLocale = useSpeakLocale;
