/**
 * @license
 * Qwik Speak
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/robisim74/qwik-speak/blob/main/LICENSE
 */
import { useContext } from "@builder.io/qwik";
import { SpeakContext } from "./context.qwik.mjs";
const useSpeakContext = () => useContext(SpeakContext);
const useSpeakLocale = () => useContext(SpeakContext).locale;
const useSpeakConfig = () => useContext(SpeakContext).config;
export {
  useSpeakConfig,
  useSpeakContext,
  useSpeakLocale
};
